%define	upstream_name	Crypt_GPG
%define	peardir		%(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define	xmldir		/var/lib/pear


Name:		php-pear-%{upstream_name}
Version:	1.6.4
Release:	%mkrel 1
Summary:	GNU Privacy Guard (GnuPG)
License:	LGPL
Group:		Development/PHP
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
URL:		http://pear.php.net/package/Crypt_GPG
BuildRequires:	php-pear >= 1.4.7
Requires(pre):	php-pear
Requires:	php-pear-Console_CommandLine >= 1.1.10
BuildArch:	noarch

%description
This package provides an object oriented interface to GNU Privacy Guard
(GnuPG). It requires the GnuPG executable to be on the system.

Though GnuPG can support symmetric-key cryptography, this package is
intended only to facilitate public-key cryptography.

This package requires PHP version 5.2.1 or greater.

%prep
%setup -c -T
pear -v -c pearrc \
	-d php_dir=%{peardir} \
	-d doc_dir=/docs \
	-d bin_dir=%{_bindir} \
	-d data_dir=%{peardir}/data \
	-d test_dir=%{peardir}/tests \
	-d ext_dir=%{_libdir} \
	-s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Crypt_GPG.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Crypt_GPG.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Crypt_GPG
fi

%files
%doc docs/Crypt_GPG/*
%{_bindir}/crypt-gpg-pinentry
%{peardir}/*
%{xmldir}/Crypt_GPG.xml


%changelog
* Mon Mar 23 2020 mokraemer <mokraemer> 1.6.4-1.mga8
+ Revision: 1559119
- new version 1.6.4

* Fri Feb 14 2020 umeabot <umeabot> 1.6.3-2.mga8
+ Revision: 1522040
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 mokraemer <mokraemer> 1.6.3-1.mga7
+ Revision: 1357115
- new version 1.6.3

* Thu Sep 20 2018 umeabot <umeabot> 1.6.2-2.mga7
+ Revision: 1287676
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 mokraemer <mokraemer> 1.6.2-1.mga7
+ Revision: 1183296
- new version

* Mon Mar 14 2016 spuhler <spuhler> 1.4.0-3.mga6
+ Revision: 990606
- added missing Requires: php-pear-Console_CommandLine >= 1.1.10

* Sun Mar 13 2016 spuhler <spuhler> 1.4.0-2.mga6
+ Revision: 990370
- exclude auto-requires

* Sat Mar 12 2016 spuhler <spuhler> 1.4.0-1.mga6
+ Revision: 989670
- upgrade to vers. 1.4.0

* Thu Feb 04 2016 umeabot <umeabot> 1.3.2-5.mga6
+ Revision: 934579
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-4.mga5
+ Revision: 742242
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.3.2-3.mga5
+ Revision: 734036
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-2.mga5
+ Revision: 687198
- Mageia 5 Mass Rebuild

* Wed Apr 09 2014 spuhler <spuhler> 1.3.2-1.mga5
+ Revision: 613067
- imported package php-pear-Crypt_GPG

